DBIx::Class::Storage::DBI::Replicated::Replicant(3)

NAME
DBIx::Class::Storage::DBI::Replicated::Replicant - A replicated DBI Storage Role

SYNOPSIS
This class is used internally by DBIx::Class::Storage::DBI::Replicated.

DESCRIPTION
Replicants are DBI Storages that follow a master DBI Storage. Typically this is accomplished via an external replication system. Please see the documents for DBIx::Class::Storage::DBI::Replicated for more details.

This class exists to define methods of a DBI Storage that only make sense when it's a classic 'slave' in a pool of slave databases which replicate from a given master database.

ATTRIBUTES
This class defines the following attributes.

  active
This is a boolean which allows you to programmatically activate or deactivate a replicant from the pool. This way you can do stuff like disallow a replicant when it gets too far behind the master, if it stops replicating, etc.

This attribute DOES NOT reflect a replicant's internal status, i.e. if it is properly replicating from a master and has not fallen too many seconds behind a reliability threshold. For that, use "is_replicating" and "lag_behind_master". Since the implementation of those functions database specific (and not all DBIC supported DBs support replication) you should refer your database-specific storage driver for more information.

  master
Reference to the master Storage.

METHODS
This class defines the following methods.

  debugobj
Override the debugobj method to redirect this method call back to the master.

ALSO SEE
<http://en.wikipedia.org/wiki/Replicant>, DBIx::Class::Storage::DBI::Replicated

AUTHOR
John Napiorkowski <john.napiorkowski@takkle.com>

LICENSE
You may distribute this code under the same terms as Perl itself.